<script>
    export let data;
    export let city;
    export let scale;
    let cities = ["Baltimore", "Chicago", "Los Angeles"]
    let scaleTypes = ["across Lines", "per Line"];
    // Colours
    const colours = ['#e6194B', '#3cb44b', '#ffe119', '#4363d8', '#f58231',
                '#911eb4', '#42d4f4', '#f032e6', '#bfef45', '#fabed4',
                '#469990', '#dcbeff', '#9A6324', '#fffac8', '#800000',
                '#aaffc3', '#808000', '#ffd8b1', '#000075', '#a9a9a9',
                '#ffffff', '#000000'];
    // Buildings
    let bd = ['FullServiceRestaurant', 'Hospital', 'LargeHotel', 'LargeOffice',
            'MediumOffice', 'MidriseApartment', 'OutPatient', 'PrimarySchool',
            'QuickServiceRestaurant', 'SecondarySchool', 'SmallHotel', 'SmallOffice',
            'Stand-aloneRetail', 'StripMall', 'SuperMarket', 'Warehouse'];
</script>

<div class="container">
    <div class="row">
        <div class="col">
            <label for="form-check" class="form-label"> City
                {#each cities as c}
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="city" id={c} value={c} bind:group={city}>
                    <label class="form-check-label" for={c}> {c}
                    </label>
                </div>
                {/each}
            </label>
        </div>
        <div class="col">
            <label for="form-check" class="form-label"> Scale
                {#each scaleTypes as line}
                <div class="form-check">
                    <input class="form-check-input" type="radio" name="scale" id={line} value={line} bind:group={scale}>
                    <label class="form-check-label" for={line}> {line}
                    </label>
                </div>
                {/each}
            </label>
        </div>
        <div class="col">
            {#each bd as b, idx}
                <p style="background-color:{colours[idx]}; opacity: 0.8; font-size:40%; margin-bottom:0%;">{idx+1}. {b}</p>
            {/each}
        </div>
    </div>
</div>
